Wie libssl1.0.0 installieren?

  • Hallo,


    weiß jemand wie ich auf meiner DM7020HD libssl1.0.0 installiert bekomme?


    Wenn ich libssl1.0.0 installieren möchte bekomme ich die Meldung, dass die Abhängigkeit openssl-conf nicht zur Verfügung steht.



    Code
    1. Installing libssl1.0.0 (1.0.2j-r0.6) to root...
    2. Downloading http://download.blue-panel.com/gemini32/dm7020hd/libssl1.0.0_1.0.2j-r0.6_dm7020hd.ipk.
    3. libcrypto1.0.0: unsatisfied recommendation for openssl-conf
    4. Collected errors:
    5. * satisfy_dependencies_for: Cannot satisfy the following dependencies for libssl1.0.0:
    6. * libc6 (>= 2.24) * libc6 (>= 2.24) *
    7. * opkg_install_cmd: Cannot install package libssl1.0.0.

    In Betrieb
    Dreambox 920uhd-S2X/C
    Ausser Betrieb
    Dreambox 7080HD-S2/C / 8000-S2

  • Das Problem ist die Abhängigkeit zu libc6. Wenn die libssl1 angeboten wird, dann werden hoffentlich auch die Abhängigkeiten auf dem Feed sein. Sonst musst du das dort melden.

    Gruss
    Dre


    Boxen (im Einsatz): DM920, DM900, DMOne
    Developer Project Merlin - we are OpenSource

  • Image ist

    Code
    1. 2016-06-16-tarball, dmm Experimental 2016-10-19


    Korrekt träuner, auf dem Feed gibts nur die 3 von dir genannten, wobei die 3. im Screenshot installiert ist.
    Ich werd mich wohl dann mal im IHAD melden müssen :(


    Danke

    In Betrieb
    Dreambox 920uhd-S2X/C
    Ausser Betrieb
    Dreambox 7080HD-S2/C / 8000-S2

  • Das Problem sind die ganzen Open* Images, die pushen gnadenlos alle möglichen aktuelleren Libs auf Ihre Feeds womit dann Anhängigkeiten entstehen welche die mehr oder weniger statischen OE 2.0 Images nicht mehr so einfach liefern können.


    Es hatte ja auch mehr oder weniger gute Gründe warum dort immer noch 0.98 standard ist.

  • Habe es jetzt von unsere feed entfernt. Lag wohl wegen ein andere plugin anfrage im feed des DM7020HD bei, wo nicht für das original Dreambox image gebaut worden ist. ;)

    E2 Box: DM 8000, DM7080HD, DM 7025(+), DM 7020HD(v2), DM9x0, DM820HD, DM 800SE(v2), DM 800HD, DM52x, DM500HD(v2)
    E1 Box: DM 7020, DM 7000, DM 5620-S, TRIAX 272-S, DM 600PVR, DM 500+, DM 500-S

    Sonstiges: DM100, DM Tastatur
    Sat: WaveFrontier T90 23.5E <=> 30.0W

  • man kann aber die 1.0 schon auch mit der vorhandenen libc bauen

  • So habe es doch noch hinbekommen :)


    Im IHAD Topic zum Problem wurde ich aufmerksam gemacht, dass es im IPTV List Updater Topic eine hochgeladene 7zip-Datei gibt, welche neuere Libs zum installieren enthalten sind
    http://www.i-have-a-dreambox.c…ostid=2078041#post2078041


    Nach Installation der darin enthaltenen mipsel-Files
    - libc6_2.19-r0_mips32el.ipk
    - libcrypto1.0.0_1.0.1g-r0_mips32el.ipk


    konnte ich auch die darin vorhandene


    - libssl1.0.0_1.0.1g-r0_mips32el.ipk installieren




    und es funzt

    In Betrieb
    Dreambox 920uhd-S2X/C
    Ausser Betrieb
    Dreambox 7080HD-S2/C / 8000-S2

  • Trotzdem dafür unnötig.

    E2 Box: DM 8000, DM7080HD, DM 7025(+), DM 7020HD(v2), DM9x0, DM820HD, DM 800SE(v2), DM 800HD, DM52x, DM500HD(v2)
    E1 Box: DM 7020, DM 7000, DM 5620-S, TRIAX 272-S, DM 600PVR, DM 500+, DM 500-S

    Sonstiges: DM100, DM Tastatur
    Sat: WaveFrontier T90 23.5E <=> 30.0W

  • Camembert ist ein ursprünglich französischer Weißschimmelkäse... sagt jedenfalls Wikipedia ...

  • buildings ? @'muelleimer321


    verstoß mal nicht gegen die Boardregeln hier 8o

    eine einfache Begriffsklärung ähnlich wie die von gutemine dürfte erlaubt sein.